## kwrited 5.19.5

=== debian/changelog ===
kwrited (4:5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:54:13 +0100

kwrited (4:5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:42:34 +0100

kwrited (4:5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 13:59:42 +0100

kwrited (4:5.19.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.0)
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:45:58 +0100

kwrited (4:5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:40:40 +0100

=== debian/control ===
Source: kwrited
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.70.0~),
               libkf5coreaddons-dev (>= 5.70.0~),
               libkf5dbusaddons-dev (>= 5.70.0~),
               libkf5i18n-dev (>= 5.70.0~),
               libkf5notifications-dev (>= 5.70.0~),
               libkf5pty-dev (>= 5.70.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/workspace/kwrited
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwrited
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwrited

Package: kwrited
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: kwrited-data
Breaks: kwrited-data
Description: Read and write console output to X.
 Kwrited captures console output (e.g. broadcast messages) and prints
 it in a X window.
 .
 This package is part of the KDE base workspace module.

## kwrited 5.20.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(kwrited)
set(PROJECT_VERSION "5.20.5")

set(QT_MIN_VERSION "5.15.0")
set(KF5_MIN_VERSION "5.74")

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )

include(CMakeDependentOption)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(FeatureSummary)
include(KDEClangFormat)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Gui
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    CoreAddons
    I18n
    Pty
    Notifications
)

cmake_dependent_option(BUILD_AS_EXECUTABLE "Whether to build kwrited as executable" OFF
                       "KPty_HAVE_UTEMPTER" ON)

if (NOT BUILD_AS_EXECUTABLE)
find_package(KF5DBusAddons ${KF5_MIN_VERSION})
set_package_properties(KF5DBusAddons PROPERTIES DESCRIPTION "Convenience classes for DBus"
                       TYPE REQUIRED
                       PURPOSE "Needed to build kwrited's KDED module"
                      )
endif ()

add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
endif()

# If libutempter is not available on the system, we build
# kwrited as an executable that is installed with setuid root
# (or setgid utmp) in order to be able to login successfully
# (and thus be useful, as kwrited does not work at all if it
# cannot login to the terminal device that it opens).

configure_file(config-kwrited.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kwrited.h)

if (BUILD_AS_EXECUTABLE)
    add_executable(kwrited kwrited.cpp)
    target_compile_definitions(kwrited PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
    target_link_libraries(kwrited Qt5::Gui KF5::CoreAddons KF5::I18n KF5::Notifications KF5::Pty)
    install(TARGETS kwrited  ${INSTALL_TARGETS_DEFAULT_ARGS} )
    if(IS_ABSOLUTE BIN_INSTALL_DIR)
        set(ABS_BIN_INSTALL_DIR "${BIN_INSTALL_DIR}")
    else()
        set(ABS_BIN_INSTALL_DIR "\${CMAKE_INSTALL_PREFIX}/${BIN_INSTALL_DIR}")
    endif()
    install(CODE "
               set(KWRITED_PATH \"\$ENV{DESTDIR}${ABS_BIN_INSTALL_DIR}/kwrited\")

               # On Debian we setgid instead of setuid.
               # Feel free to add checks here for other distros as well, if needed.
               if (EXISTS /etc/debian_version)
                   set(SETGID 1)
                   set(SETGID_GROUP utmp)
               endif ()

               if (SETGID)
                   execute_process(COMMAND sh -c \"chgrp \${SETGID_GROUP} '\${KWRITED_PATH}' && chmod g+s '\${KWRITED_PATH}'\")
               else ()
                   execute_process(COMMAND sh -c \"chown root '\${KWRITED_PATH}' && chmod u+s '\${KWRITED_PATH}'\")
               endif()
           ")

    install(FILES kwrited-autostart.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})
else ()
    kcoreaddons_add_plugin(kded_kwrited
        SOURCES kwrited.cpp
        JSON kwrited.json
        INSTALL_NAMESPACE "kf5/kded"
    )
    set_target_properties(kded_kwrited PROPERTIES OUTPUT_NAME kwrited)
    target_compile_definitions(kded_kwrited PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
    target_link_libraries(kded_kwrited KF5::CoreAddons KF5::DBusAddons KF5::I18n KF5::Notifications KF5::Pty)
endif ()

# The .notifyrc file is common
install(FILES kwrited.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kwrited (4:5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:52 +0900

kwrited (4:5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:37 +0900

kwrited (4:5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).
  * Update build deps from build system.

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:32 +0900

kwrited (4:5.19.5-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 08:37:23 +0900

kwrited (4:5.19.5-2) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:41 +0900

kwrited (4:5.19.5-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.19.5).

  [ Norbert Preining ]
  * Add Patrick and myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 13:47:05 +0900

kwrited (4:5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Bump compat level to 13.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.18.5).
  * Update build-deps and deps with the info from cmake.
  * Delete not needed Breaks/Confilcts.
  * Add myself to Uploaders.
  * Remove not needed injection of linker flags.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Set/Update field Upstream-Contact in debian/copyright.

  [ Patrick Franz ]
  * Add hardening=+all build flag.
  * Update data in /debian/upstream/metadata.
  * Update synopsis in debian/control.
  * New upstream release (5.19.4).
  * Update build-deps and deps with the info from cmake.
  * Change Maintainer in debian/control to Debian Qt/KDE Maintainers.
  * Remove Maxy from Uploaders as requested.

  [ Pino Toscano ]
  * Update the build dependencies according to the upstream build system:
    - set the KF packages to 5.66.0

 -- Pino Toscano <pino@debian.org>  Sun, 30 Aug 2020 00:12:45 +0200

kwrited (4:5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 21:52:53 +0100

kwrited (4:5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5).
  * Salsa CI automatic initialization by Tuco
  * Update build-deps and deps with the info from cmake

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.62.0
    - explicitly add gettext
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Drop the migration from kwrited-dbg, no more needed after two Debian
    stable releases.
  * Install directly in the destination directory of the single binary
    - drop kwrited.install, no more needed
  * Use https for Format in copyright.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Remove conffile removal done more than two Debian stable releases ago.

 -- Pino Toscano <pino@debian.org>  Sun, 19 Jan 2020 11:38:28 +0100

=== debian/control ===
Source: kwrited
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.74.0~),
               gettext,
               libkf5coreaddons-dev (>= 5.74.0~),
               libkf5dbusaddons-dev (>= 5.74.0~),
               libkf5i18n-dev (>= 5.74.0~),
               libkf5notifications-dev (>= 5.74.0~),
               libkf5pty-dev (>= 5.74.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma/kwrited
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwrited
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwrited.git
Rules-Requires-Root: no

Package: kwrited
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Read and write console output to X
 Kwrited captures console output (e.g. broadcast messages) and prints
 it in a X window.
 .
 This package is part of the KDE base workspace module.

## kwrited 5.21.4

=== debian/changelog ===
kwrited (4:5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:09:55 +0100

kwrited (4:5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:34:02 +0000

kwrited (4:5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:12:51 +0000

kwrited (4:5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:06:24 +0000

kwrited (4:5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:22:06 +0000

kwrited (4:5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:45:08 +0000

## kwrited 5.22.5

=== debian/changelog ===
kwrited (4:5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:48:13 +0200

kwrited (4:5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:43:13 +0100

kwrited (4:5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:06:38 +0100

kwrited (4:5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:54:22 +0100

kwrited (4:5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 18:58:17 +0100

kwrited (4:5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:10:19 +0100

kwrited (4:5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 11:53:49 +0100

kwrited (4:5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:02:48 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.74.0~),
+               extra-cmake-modules (>= 5.82.0~),
                gettext,
-               libkf5coreaddons-dev (>= 5.74.0~),
-               libkf5dbusaddons-dev (>= 5.74.0~),
-               libkf5i18n-dev (>= 5.74.0~),
-               libkf5notifications-dev (>= 5.74.0~),
-               libkf5pty-dev (>= 5.74.0~),
+               libkf5coreaddons-dev (>= 5.82.0~),
+               libkf5dbusaddons-dev (>= 5.82.0~),
+               libkf5i18n-dev (>= 5.82.0~),
+               libkf5notifications-dev (>= 5.82.0~),
+               libkf5pty-dev (>= 5.82.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.0~),
 Standards-Version: 4.5.0

## kwrited 5.24.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,11 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.16)
 
 project(kwrited)
-set(PROJECT_VERSION "5.20.5")
+set(PROJECT_VERSION "5.24.4")
 
 set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.74")
+set(KF5_MIN_VERSION "5.86")
+set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
@@ -15,9 +16,10 @@
 include(CMakeDependentOption)
 include(KDEInstallDirs)
 include(KDECMakeSettings)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(FeatureSummary)
 include(KDEClangFormat)
+include(KDEGitCommitHooks)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
     Gui
@@ -44,10 +46,8 @@
 add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
-endif()
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)
 
 # If libutempter is not available on the system, we build
 # kwrited as an executable that is installed with setuid root
@@ -60,12 +60,12 @@
 if (BUILD_AS_EXECUTABLE)
     add_executable(kwrited kwrited.cpp)
     target_compile_definitions(kwrited PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
-    target_link_libraries(kwrited Qt5::Gui KF5::CoreAddons KF5::I18n KF5::Notifications KF5::Pty)
-    install(TARGETS kwrited  ${INSTALL_TARGETS_DEFAULT_ARGS} )
+    target_link_libraries(kwrited Qt::Gui KF5::CoreAddons KF5::I18n KF5::Notifications KF5::Pty)
+    install(TARGETS kwrited  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )
     if(IS_ABSOLUTE BIN_INSTALL_DIR)
-        set(ABS_BIN_INSTALL_DIR "${BIN_INSTALL_DIR}")
+        set(ABS_BIN_INSTALL_DIR "${KDE_INSTALL_BINDIR}")
     else()
-        set(ABS_BIN_INSTALL_DIR "\${CMAKE_INSTALL_PREFIX}/${BIN_INSTALL_DIR}")
+        set(ABS_BIN_INSTALL_DIR "\${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_BINDIR}")
     endif()
     install(CODE "
                set(KWRITED_PATH \"\$ENV{DESTDIR}${ABS_BIN_INSTALL_DIR}/kwrited\")
@@ -84,7 +84,7 @@
                endif()
            ")
 
-    install(FILES kwrited-autostart.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})
+    install(FILES kwrited-autostart.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})
 else ()
     kcoreaddons_add_plugin(kded_kwrited
         SOURCES kwrited.cpp
@@ -97,10 +97,11 @@
 endif ()
 
 # The .notifyrc file is common
-install(FILES kwrited.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})
+install(FILES kwrited.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR})
 
 # add clang-format target for all our real source files
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kwrited (4:5.24.4-0ubuntu1) jammy; urgency=medium

  * New upstream bugfix release (5.24.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Mar 2022 10:20:34 +0100

kwrited (4:5.24.3-0ubuntu1) jammy; urgency=medium

  * Update maintainer to Kubuntu Developers.
  * New upstream release (5.24.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Mar 2022 12:15:06 +0000

kwrited (4:5.24.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Feb 2022 15:02:11 +0000

kwrited (4:5.24.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Feb 2022 14:21:36 +0000

kwrited (4:5.24.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Feb 2022 21:27:45 +0000

kwrited (4:5.23.90-0ubuntu1) jammy; urgency=medium

  * New upstream beta release (5.23.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Jan 2022 10:19:10 +0000

kwrited (4:5.23.5-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Jan 2022 10:40:59 +0000

kwrited (4:5.23.4-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 30 Nov 2021 21:57:05 +0000

kwrited (4:5.23.3-1ubuntu1) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Nov 2021 17:18:12 +0000

kwrited (4:5.23.3-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 10 Nov 2021 08:39:42 +0900

kwrited (4:5.23.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Update upstream signing-key.

  [ Norbert Preining ]
  * New upstream release (5.23.1).
  * New upstream release (5.23.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Nov 2021 22:21:02 +0900

kwrited (4:5.23.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.0).

 -- Norbert Preining <norbert@preining.info>  Thu, 14 Oct 2021 20:13:15 +0900

kwrited (4:5.21.5-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Release to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 17 Aug 2021 03:24:10 +0200

kwrited (4:5.21.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.5).

 -- Patrick Franz <patfra71@gmail.com>  Fri, 07 May 2021 13:54:50 +0200

kwrited (4:5.21.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.4).

 -- Patrick Franz <patfra71@gmail.com>  Tue, 06 Apr 2021 17:47:10 +0200

kwrited (4:5.21.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.3).

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Mar 2021 05:49:41 +0900

kwrited (4:5.21.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.21.2).

 -- Norbert Preining <norbert@preining.info>  Wed, 03 Mar 2021 05:33:49 +0900

kwrited (4:5.21.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.1).

 -- Norbert Preining <norbert@preining.info>  Wed, 24 Feb 2021 14:36:39 +0900

kwrited (4:5.21.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.21.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Feb 2021 05:42:27 +0900

=== debian/control ===
Source: kwrited
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <deltaone@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5dbusaddons-dev (>= 5.90.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5notifications-dev (>= 5.90.0~),
               libkf5pty-dev (>= 5.90.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma/kwrited
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwrited
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwrited
Rules-Requires-Root: no

Package: kwrited
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Read and write console output to X
 Kwrited captures console output (e.g. broadcast messages) and prints
 it in a X window.
 .
 This package is part of the KDE base workspace module.

## kwrited 5.25.5

=== debian/changelog ===
kwrited (4:5.25.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Sep 2022 15:32:31 +0100

kwrited (4:5.25.4-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Wed, 03 Aug 2022 12:42:51 +0100

kwrited (4:5.25.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 02 Aug 2022 17:30:52 +0200

kwrited (4:5.25.4-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Aug 2022 17:59:35 +0100

kwrited (4:5.25.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.2).
  * New upstream release (5.25.3).
  * Release to unstable

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 17 Jul 2022 15:26:27 +0200

kwrited (4:5.25.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 14:44:10 +0100

kwrited (4:5.25.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jun 2022 14:17:10 +0100

kwrited (4:5.25.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.25.1).

 -- Patrick Franz <deltaone@debian.org>  Tue, 21 Jun 2022 21:45:57 +0200

kwrited (4:5.25.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 21 Jun 2022 16:27:31 +0100

kwrited (4:5.25.0-1) experimental; urgency=medium

  * New upstream release (5.25.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 14 Jun 2022 21:26:11 +0200

kwrited (4:5.25.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.25.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Jun 2022 08:06:08 +0100

kwrited (4:5.24.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.90).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 20 May 2022 11:25:57 +0200

kwrited (4:5.24.90-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 19 May 2022 18:40:45 +0100

kwrited (4:5.24.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 12 May 2022 21:39:16 +0200

kwrited (4:5.24.5-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.24.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 May 2022 15:48:49 +0100

kwrited (4:5.24.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 30 Mar 2022 13:44:29 +0200

kwrited (4:5.24.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.24.3).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 10 Mar 2022 07:45:47 +0100

kwrited (4:5.24.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.24.2).
  * Bump Standards-Version to 4.6.0 (no changes needed).
  * Re-export signing key without extra signatures.

 -- Patrick Franz <deltaone@debian.org>  Sat, 26 Feb 2022 21:58:58 +0100

kwrited (4:5.23.5-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.23.5).

 -- Patrick Franz <deltaone@debian.org>  Fri, 07 Jan 2022 15:44:00 +0100

kwrited (4:5.23.4-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.23.4).

 -- Patrick Franz <deltaone@debian.org>  Thu, 02 Dec 2021 20:24:42 +0100

=== debian/control ===
Source: kwrited
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.94~),
               gettext,
               libkf5coreaddons-dev (>= 5.94~),
               libkf5dbusaddons-dev (>= 5.94~),
               libkf5i18n-dev (>= 5.94~),
               libkf5notifications-dev (>= 5.94~),
               libkf5pty-dev (>= 5.94~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Homepage: https://invent.kde.org/plasma/kwrited
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwrited
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwrited
Rules-Requires-Root: no

Package: kwrited
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Read and write console output to X
 Kwrited captures console output (e.g. broadcast messages) and prints
 it in a X window.
 .
 This package is part of the KDE base workspace module.

## kwrited 5.27.4

=== debian/changelog ===
kwrited (4:5.27.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.4)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Apr 2023 09:38:12 +0100

kwrited (4:5.27.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Mar 2023 15:18:40 +0000

kwrited (4:5.27.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Feb 2023 16:23:25 +0000

kwrited (4:5.27.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 25 Feb 2023 18:47:08 +0000

kwrited (4:5.27.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.27.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 14 Feb 2023 13:41:11 +0000

kwrited (4:5.26.90-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Feb 2023 13:30:07 +0000

kwrited (4:5.26.5-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 04 Jan 2023 09:05:34 +0000

kwrited (4:5.26.4-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Dec 2022 10:02:10 +0000

kwrited (4:5.26.4-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.4).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Nov 2022 15:59:52 +0100

kwrited (4:5.26.4-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Nov 2022 14:04:11 +0000

kwrited (4:5.26.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 08 Nov 2022 15:42:45 +0100

kwrited (4:5.26.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Nov 2022 14:11:45 +0000

kwrited (4:5.26.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.1).
  * New upstream release (5.26.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 27 Oct 2022 23:30:07 +0200

kwrited (4:5.26.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.26.2)

 -- Rik Mills <rikmills@kde.org>  Sat, 05 Nov 2022 20:10:14 +0000

kwrited (4:5.26.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.0).
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 11 Oct 2022 15:44:00 +0200

kwrited (4:5.25.90-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.90).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Sep 2022 00:14:21 +0200

kwrited (4:5.25.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.25.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 09 Sep 2022 23:20:45 +0200

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
            Scarlett Moore <sgmoore@kde.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.94~),
+               extra-cmake-modules (>= 5.102.0~),
                gettext,
-               libkf5coreaddons-dev (>= 5.94~),
-               libkf5dbusaddons-dev (>= 5.94~),
-               libkf5i18n-dev (>= 5.94~),
-               libkf5notifications-dev (>= 5.94~),
-               libkf5pty-dev (>= 5.94~),
+               libkf5coreaddons-dev (>= 5.102.0~),
+               libkf5dbusaddons-dev (>= 5.102.0~),
+               libkf5i18n-dev (>= 5.102.0~),
+               libkf5notifications-dev (>= 5.102.0~),
+               libkf5pty-dev (>= 5.102.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
 Standards-Version: 4.6.1

## kwrited 5.27.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(kwrited)
-set(PROJECT_VERSION "5.24.4")
+set(PROJECT_VERSION "5.27.5")
 
-set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.86")
+set(QT_MIN_VERSION "5.15.2")
+set(KF5_MIN_VERSION "5.102.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 set(CMAKE_CXX_STANDARD 17)
@@ -20,8 +20,9 @@
 include(FeatureSummary)
 include(KDEClangFormat)
 include(KDEGitCommitHooks)
+include(ECMDeprecationSettings)
 
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
     Gui
 )
 
@@ -46,8 +47,9 @@
 add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)
+ecm_set_disabled_deprecation_versions(QT 5.15.2
+    KF 5.101
+)
 
 # If libutempter is not available on the system, we build
 # kwrited as an executable that is installed with setuid root
@@ -89,7 +91,7 @@
     kcoreaddons_add_plugin(kded_kwrited
         SOURCES kwrited.cpp
         JSON kwrited.json
-        INSTALL_NAMESPACE "kf5/kded"
+        INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/kded"
     )
     set_target_properties(kded_kwrited PROPERTIES OUTPUT_NAME kwrited)
     target_compile_definitions(kded_kwrited PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
@@ -97,7 +99,7 @@
 endif ()
 
 # The .notifyrc file is common
-install(FILES kwrited.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFY5RCDIR})
+install(FILES kwrited.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})
 
 # add clang-format target for all our real source files
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)

=== debian/changelog ===
kwrited (4:5.27.5-2) unstable; urgency=medium

  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 27 May 2023 18:23:41 +0200

kwrited (4:5.27.5-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.5).

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 May 2023 23:24:09 +0200

kwrited (4:5.27.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.3).

 -- Patrick Franz <deltaone@debian.org>  Wed, 22 Mar 2023 23:15:08 +0100

kwrited (4:5.27.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.1).
  * New upstream release (5.27.2).

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 28 Feb 2023 14:59:23 +0100

kwrited (4:5.27.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.27.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 18 Feb 2023 17:08:37 +0100

kwrited (4:5.26.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.90).
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 23 Jan 2023 21:50:53 +0100

kwrited (4:5.26.5-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.26.5).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:20:33 +0100

=== debian/control ===
Source: kwrited
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.102.0~),
               gettext,
               libkf5coreaddons-dev (>= 5.102.0~),
               libkf5dbusaddons-dev (>= 5.102.0~),
               libkf5i18n-dev (>= 5.102.0~),
               libkf5notifications-dev (>= 5.102.0~),
               libkf5pty-dev (>= 5.102.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/plasma/kwrited
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwrited
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwrited.git
Rules-Requires-Root: no

Package: kwrited
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Read and write console output to X
 Kwrited captures console output (e.g. broadcast messages) and prints
 it in a X window.
 .
 This package is part of the KDE base workspace module.

## kwrited 5.27.7

=== debian/changelog ===
kwrited (4:5.27.7-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.7)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Aug 2023 17:14:59 +0100

kwrited (4:5.27.6-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.6)

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jun 2023 17:36:29 +0100

kwrited (4:5.27.5-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.5)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 May 2023 05:14:36 +0100

## kwrited 5.27.8

=== debian/changelog ===
kwrited (4:5.27.8-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.27.8)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Sep 2023 12:30:46 +0100

kwrited (4:5.27.7-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Sep 2023 13:37:05 +0100

kwrited (4:5.27.7-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.7).

 -- Patrick Franz <deltaone@debian.org>  Thu, 03 Aug 2023 18:50:25 +0200

## kwrited 5.27.10

=== debian/changelog ===
kwrited (4:5.27.10-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.10).

 -- Patrick Franz <deltaone@debian.org>  Thu, 11 Jan 2024 23:15:54 +0100

kwrited (4:5.27.9-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.9).

 -- Patrick Franz <deltaone@debian.org>  Fri, 27 Oct 2023 21:53:25 +0200

kwrited (4:5.27.8-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.27.8).

 -- Patrick Franz <deltaone@debian.org>  Wed, 13 Sep 2023 20:48:36 +0200

## kwrited 5.27.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(kwrited)
-set(PROJECT_VERSION "5.27.5")
+set(PROJECT_VERSION "5.27.11")
 
 set(QT_MIN_VERSION "5.15.2")
 set(KF5_MIN_VERSION "5.102.0")

=== debian/changelog ===
kwrited (4:5.27.11-0ubuntu3) noble; urgency=high

  * No change rebuild against libqt5core5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:44:12 +0200

kwrited (4:5.27.11-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:11:49 +0000

kwrited (4:5.27.11-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.11)

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 17 Mar 2024 07:22:39 +0000

kwrited (4:5.27.10-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:31:39 +0000

kwrited (4:5.27.10-1ubuntu1) noble; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

  [ Scarlett Moore ]
  * Release to archive. 

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 21 Feb 2024 03:50:16 -0700

kwrited (4:5.27.10-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.10)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 11 Dec 2023 11:21:45 +0000

kwrited (4:5.27.9-0ubuntu1) noble; urgency=medium

  * New upstream release (5.27.9)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:18:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kwrited
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Patrick Franz <deltaone@debian.org>,
@@ -19,8 +20,8 @@
                qtbase5-dev (>= 5.15.2~),
 Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/plasma/kwrited
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwrited
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kwrited.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwrited
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwrited
 Rules-Requires-Root: no
 
 Package: kwrited

## kwrited 6.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,16 +1,16 @@
 cmake_minimum_required(VERSION 3.16)
 
 project(kwrited)
-set(PROJECT_VERSION "5.27.11")
+set(PROJECT_VERSION "6.1.5")
 
-set(QT_MIN_VERSION "5.15.2")
-set(KF5_MIN_VERSION "5.102.0")
+set(QT_MIN_VERSION "6.6.0")
+set(KF6_MIN_VERSION "6.2.0")
 set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
-set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )
 
 include(CMakeDependentOption)
@@ -22,11 +22,11 @@
 include(KDEGitCommitHooks)
 include(ECMDeprecationSettings)
 
-find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
+find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
     Gui
 )
 
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
+find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
     CoreAddons
     I18n
     Pty
@@ -37,8 +37,8 @@
                        "KPty_HAVE_UTEMPTER" ON)
 
 if (NOT BUILD_AS_EXECUTABLE)
-find_package(KF5DBusAddons ${KF5_MIN_VERSION})
-set_package_properties(KF5DBusAddons PROPERTIES DESCRIPTION "Convenience classes for DBus"
+find_package(KF6DBusAddons ${KF6_MIN_VERSION})
+set_package_properties(KF6DBusAddons PROPERTIES DESCRIPTION "Convenience classes for DBus"
                        TYPE REQUIRED
                        PURPOSE "Needed to build kwrited's KDED module"
                       )
@@ -47,7 +47,7 @@
 add_definitions(-DQT_NO_NARROWING_CONVERSIONS_IN_CONNECT)
 add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
 
-ecm_set_disabled_deprecation_versions(QT 5.15.2
+ecm_set_disabled_deprecation_versions(QT 6.4.0
     KF 5.101
 )
 
@@ -62,7 +62,7 @@
 if (BUILD_AS_EXECUTABLE)
     add_executable(kwrited kwrited.cpp)
     target_compile_definitions(kwrited PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
-    target_link_libraries(kwrited Qt::Gui KF5::CoreAddons KF5::I18n KF5::Notifications KF5::Pty)
+    target_link_libraries(kwrited Qt::Gui KF6::CoreAddons KF6::I18n KF6::Notifications KF6::Pty)
     install(TARGETS kwrited  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )
     if(IS_ABSOLUTE BIN_INSTALL_DIR)
         set(ABS_BIN_INSTALL_DIR "${KDE_INSTALL_BINDIR}")
@@ -90,12 +90,11 @@
 else ()
     kcoreaddons_add_plugin(kded_kwrited
         SOURCES kwrited.cpp
-        JSON kwrited.json
-        INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/kded"
+        INSTALL_NAMESPACE "kf6/kded"
     )
     set_target_properties(kded_kwrited PROPERTIES OUTPUT_NAME kwrited)
     target_compile_definitions(kded_kwrited PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
-    target_link_libraries(kded_kwrited KF5::CoreAddons KF5::DBusAddons KF5::I18n KF5::Notifications KF5::Pty)
+    target_link_libraries(kded_kwrited KF6::CoreAddons KF6::DBusAddons KF6::I18n KF6::Notifications KF6::Pty)
 endif ()
 
 # The .notifyrc file is common

=== debian/changelog ===
kwrited (4:6.1.5-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Sep 2024 05:59:42 +0100

kwrited (4:6.1.4-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.1.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Aug 2024 21:42:31 +0100

kwrited (4:6.1.3-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.1.3).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 21 Jul 2024 23:46:13 +0200

kwrited (4:6.1.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.1.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Jun 2024 19:47:35 +0200

kwrited (4:5.27.11-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * New upstream release (5.27.11).
  * Remove inactive uploaders, thanks for your work.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 May 2024 12:20:49 +0200

=== debian/control ===
Source: kwrited
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.2.0~),
               gettext,
               libkf6coreaddons-dev (>= 6.2.0~),
               libkf6dbusaddons-dev (>= 6.2.0~),
               libkf6i18n-dev (>= 6.2.0~),
               libkf6notifications-dev (>= 6.2.0~),
               libkf6pty-dev (>= 6.2.0~),
               libxkbcommon-dev,
               pkgconf,
               qt6-base-dev (>= 6.6.0+dfsg~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/kwrited
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwrited
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwrited
Rules-Requires-Root: no

Package: kwrited
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Read and write console output to X
 Kwrited captures console output (e.g. broadcast messages) and prints
 it in a X window.
 .
 This package is part of the KDE base workspace module.

## kwrited 6.2.5

=== debian/changelog ===
kwrited (4:6.2.5-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 31 Dec 2024 19:01:15 +0000

kwrited (4:6.2.4-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 26 Nov 2024 12:14:04 +0000

kwrited (4:6.2.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.2.0)
  * New upstream release (6.2.1)
  * New upstream release (6.2.2)
  * New upstream release (6.2.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 19:57:16 +0000

=== debian/control ===
--- 
+++ 
@@ -10,16 +10,16 @@
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               extra-cmake-modules (>= 6.2.0~),
+               extra-cmake-modules (>= 6.5.0~),
                gettext,
-               libkf6coreaddons-dev (>= 6.2.0~),
-               libkf6dbusaddons-dev (>= 6.2.0~),
-               libkf6i18n-dev (>= 6.2.0~),
-               libkf6notifications-dev (>= 6.2.0~),
-               libkf6pty-dev (>= 6.2.0~),
+               libkf6coreaddons-dev (>= 6.5.0~),
+               libkf6dbusaddons-dev (>= 6.5.0~),
+               libkf6i18n-dev (>= 6.5.0~),
+               libkf6notifications-dev (>= 6.5.0~),
+               libkf6pty-dev (>= 6.5.0~),
                libxkbcommon-dev,
                pkgconf,
-               qt6-base-dev (>= 6.6.0+dfsg~),
+               qt6-base-dev (>= 6.7.0+dfsg~),
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/plasma/kwrited
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kwrited
